TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.TransactionInfo Class Reference

This class represents an XA transaction. More...

Inheritance diagram for TIBCO.EMS.ADMIN.TransactionInfo:

## Public Member Functions
override string | ToString ()
| Generate a string representation of this TransactionInfo. More...

## Public Attributes
const char | TRANSACTION_ACTIVE = 'A'
| State of transaction is active. More...
const char | TRANSACTION_ENDSUCCESS = 'E'
| State of transaction is endsuccess. More...
const char | TRANSACTION_ROLLBACKONLY = 'R'
| State of transaction is rollbackonly. More...
const char | TRANSACTION_PREPARED = 'P'
| State of transaction is prepared. More...
const char | TRANSACTION_SUSPENDED = 'S'
| State of transaction is Suspended. More...
const char | TRANSACTION_UNKNOWN = 'U'
| State of transaction is unknown. More...

## Properties
char | State`[get]`
| Returns the state of the transaction. More...
int | FormatId`[get]`
| Returns the format id of the transaction. More...
byte[] | BranchQualifier`[get]`
| Returns the branch qualifier of the transaction. More...
byte[] | GlobalTransactionId`[get]`
| Returns the global transaction id of the transaction. More...

## Detailed Description

This class represents an XA transaction.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.TransactionInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this TransactionInfo.

Returns
  a string representation of the transaction.

## Member Data Documentation

const char TIBCO.EMS.ADMIN.TransactionInfo.TRANSACTION_ACTIVE = 'A'

State of transaction is active.

const char TIBCO.EMS.ADMIN.TransactionInfo.TRANSACTION_ENDSUCCESS = 'E'

State of transaction is endsuccess.

const char TIBCO.EMS.ADMIN.TransactionInfo.TRANSACTION_PREPARED = 'P'

State of transaction is prepared.

const char TIBCO.EMS.ADMIN.TransactionInfo.TRANSACTION_ROLLBACKONLY = 'R'

State of transaction is rollbackonly.

const char TIBCO.EMS.ADMIN.TransactionInfo.TRANSACTION_SUSPENDED = 'S'

State of transaction is Suspended.

const char TIBCO.EMS.ADMIN.TransactionInfo.TRANSACTION_UNKNOWN = 'U'

State of transaction is unknown.

## Property Documentation

byte [] TIBCO.EMS.ADMIN.TransactionInfo.BranchQualifier
| get

Returns the branch qualifier of the transaction.

Returns
  the branch qualifier of the transaction.

int TIBCO.EMS.ADMIN.TransactionInfo.FormatId
| get

Returns the format id of the transaction.

Returns
  the format id of the transaction.

byte [] TIBCO.EMS.ADMIN.TransactionInfo.GlobalTransactionId
| get

Returns the global transaction id of the transaction.

Returns
  the global transaction id of the transaction.

char TIBCO.EMS.ADMIN.TransactionInfo.State
| get

Returns the state of the transaction.

Returns
  the state of the transaction.